﻿*************************************************************************************
***self-reported version for KINDL Oncology
***KINDL_Oncology_children_English.

***Remark:
*Higher values reflect better HrQoL.
*Items form 4 scales. Additional items to scale 1 and 4 about "It bothered me", which form new scales, respectively.


*********Recoding of raw scores.
*Negativly pooled items.
RECODE c_onk01a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk01a.
RECODE c_onk02a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk02a.
RECODE c_onk03a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk03a.
RECODE c_onk04a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk04a.
RECODE c_onk_05 (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk_05.
RECODE c_onk_06 (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk_06 .
RECODE c_onk_07 (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk_07 .
RECODE c_onk_08 (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk_08.
RECODE c_onk31a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk31a.
RECODE c_onk32a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk32a.
RECODE c_onk33a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk33a.
RECODE c_onk34a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk34a.
RECODE c_onk35a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk35a.
RECODE c_onk36a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk36a.
RECODE c_onk37a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk37a.
RECODE c_onk38a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk38a.
RECODE c_onk39a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk39a.
RECODE c_onk40a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk40a.
RECODE c_onk41a (1=5) (2=4) (3=3) (4=2) (5=1) INTO c_xnk41a.

RECODE c_onk01b (1=3) (2=2) (3=1) INTO c_xnk01b.
RECODE c_onk02b (1=3) (2=2) (3=1) INTO c_xnk02b.
RECODE c_onk03b (1=3) (2=2) (3=1) INTO c_xnk03b.
RECODE c_onk04b (1=3) (2=2) (3=1) INTO c_xnk04b.
RECODE c_onk31b (1=3) (2=2) (3=1) INTO c_xnk31b.
RECODE c_onk32b (1=3) (2=2) (3=1) INTO c_xnk32b.
RECODE c_onk33b (1=3) (2=2) (3=1) INTO c_xnk33b.
RECODE c_onk34b (1=3) (2=2) (3=1) INTO c_xnk34b.
RECODE c_onk35b (1=3) (2=2) (3=1) INTO c_xnk35b.
RECODE c_onk36b (1=3) (2=2) (3=1) INTO c_xnk36b.
RECODE c_onk37b (1=3) (2=2) (3=1) INTO c_xnk37b.
RECODE c_onk38b (1=3) (2=2) (3=1) INTO c_xnk38b.
RECODE c_onk39b (1=3) (2=2) (3=1) INTO c_xnk39b.
RECODE c_onk40b (1=3) (2=2) (3=1) INTO c_xnk40b.
RECODE c_onk41b (1=3) (2=2) (3=1) INTO c_xnk41b.

*Positively pooled items.
RECODE c_onk09 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_09. 
RECODE c_onk10 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_10. 
RECODE c_onk11 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_11. 
RECODE c_onk12 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_12. 
RECODE c_onk13 (1=1) (2=2) (3=3) (4=4) (5=5) INTO c_xnk_13. 


VARIABLE LABELS
c_xnk01a '... I could not get up and spent most of the time lying in bed.'
c_xnk01b 'it bothered me that I could net get up ...'
c_xnk02a '... I had no appetite'
c_xnk02b 'it bothered me that I had no appetite'
c_xnk03a '... I felt sick and had to throw up'
c_xnk03b 'it bothered me that I felt sick'
c_xnk04a '... I had an infection (sore mouth, stomach or intestinal problems, diarrhoea, skin problems).'
c_xnk04b 'it bothered me that I had an infection'
c_xnk_05 '... I didnt want to see anybody'
c_xnk_06 '... I was in a bad mood because of the forthcoming appointment in hospital / the outpatient clinic'
c_xnk_07 '... I was in a bad mood because of my illness'
c_xnk_08 '... I thought about how things are going to go on with my illness'
c_xnk_09 '... I was regularly in touch with school friends'
c_xnk_10 '... my friends visited me'
c_xnk_11 '... my friends helped me a lot'
c_xnk_12 '... I went to school'
c_xnk_13 '... I was fit enough to take part in sports at school'
c_xnk31a '... I had a medical examination (listening at chest, prodding stomach, touching)'
c_xnk31b 'it bothered me that I had a medical examination'
c_xnk32a '... I was in hospital'
c_xnk32b 'it bothered me that I was in hospital'
c_xnk33a '... I had chemotherapy'
c_xnk33b 'it bothered me that I had chemotherapie'
c_xnk34a '.. I had to perform oral hygiene'
c_xnk34b 'it bothered me that I had to perform oral hygiene'
c_xnk35a '... I had plasters removed'
c_xnk35b 'it bothered me that I had plasters removed'
c_xnk36a '... I had my finger pricked'
c_xnk36b 'it bothered me that I had my finger pricked'
c_xnk37a '... I had a puncture biopsy'
c_xnk37b 'it bothered me that I had a puncture biopsy'
c_xnk38a '... my stoma /port needed looking after'
c_xnk38b 'it bothered me that my stoma/port needed looking after'
c_xnk39a '... I was given painkillers / morphia'
c_xnk39b 'it bothered me that I was given painkillers'
c_xnk40a '... I received infusions of nutrients'
c_xnk40b 'it bothered me that I received infusions of nutrients'
c_xnk41a '... I had radiotherapy'
c_xnk41b 'it bothered me that I had radiotherapy'.

VALUE LABELS
c_xnk01a c_xnk02a c_xnk03a c_xnk04a c_xnk_05 c_xnk_06 c_xnk_07 c_xnk_08
c_xnk31a c_xnk32a c_xnk33a c_xnk34a c_xnk35a c_xnk36a c_xnk37a c_xnk38a c_xnk39a c_xnk40a c_xnk41a
1 'all the time'
2 'often'
3 'sometimes'
4 'seldom'
5 'never'.
EXECUTE.

VALUE LABELS
 c_xnk_09 c_xnk_10 c_xnk_11 c_xnk_12 c_xnk_13
1 'never'
2 'seldom'
3 'sometimes'
4 'often'
5 'all the time'.
EXECUTE.

VALUE LABELS
c_xnk01b c_xnk02b c_xnk03b c_xnk31b c_xnk32b c_xnk33b c_xnk34b c_xnk35b c_xnk36b c_xnk37b c_xnk38b c_xnk39b c_xnk40b c_xnk41b
1 'very much'
2 'moderately'
3 'not at all'.
EXECUTE.

****Scale "Body".
*Calculating sum score.
COMPUTE onk_ph_mean = mean.3(c_xnk01a, c_xnk02a, c_xnk03a, c_xnk04a).
EXECUTE.

COMPUTE onk_ph_sum = onk_ph_mean*4.
EXECUTE.

*Calculating scale transformed to 100.
COMPUTE onk_ph_100 = ((onk_ph_sum-4)/12)*100.
EXECUTE.


****Scale "Body Bothering".
*Calculating sum score.
COMPUTE onk_pb_mean = mean.3(c_xnk01b, c_xnk02b, c_xnk03b, c_xnk04b).
EXECUTE.

COMPUTE onk_pb_sum = onk_ps_mean*4.
EXECUTE.

**Calculating scale transformed to 100.
COMPUTE onk_pb_100 = ((onk_ps_sum-4)/12)*100.
EXECUTE.


****Scale "Mental Health".
*Calculating sum score.
COMPUTE onk_mh_mean = mean.3(c_xnk_05, c_xnk_06, c_xnk_07, c_xnk_08).
EXECUTE.

COMPUTE onk_mh_sum = onk_mh_mean*4.
EXECUTE.

*Calculating scale transformed to 100.
COMPUTE onk_mh_100 = ((onk_mh_sum-4)/12)*100.
EXECUTE.

****Scale "Social".
*Calculating sum score.
COMPUTE onk_so_mean = mean.4(c_xnk_09, c_xnk_10, c_xnk_11, c_xnk_12, c_xnk_13).
EXECUTE.

COMPUTE onk_so_sum = onk_so_mean*4.
EXECUTE.

*Calculating scale transformed to 100.
COMPUTE onk_so_100 = ((onk_so_sum-4)/12)*100.
EXECUTE.

****Scale "Medical Treatment".
*Calculating sum score.
COMPUTE onk_mt_mean = mean.8(c_xnk31a, c_xnk32a, c_xnk33a, c_xnk34a, c_xnk35a, c_xnk36a, c_xnk37a, c_xnk38a, c_xnk39a, c_xnk40a, c_xnk_41a).
EXECUTE.

COMPUTE onk_mt_sum = onk_mt_mean*11.
EXECUTE.

*Calculating scale transformed to 100.
COMPUTE onk_mt_100 = ((onk_mt_sum-4)/12)*100.
EXECUTE.

****Scale "Medical Treatment bothering".
*Calculating sum score.
COMPUTE onk_mb_mean = mean.8(c_xnk31b, c_xnk32b, c_xnk33b, c_xnk34b, c_xnk35b, c_xnk36b, c_xnk37b, c_xnk38b, c_xnk39b, c_xnk40b, c_xnk_41b).
EXECUTE.

COMPUTE onk_mb_sum = onk_ms_mean*11.
EXECUTE.

**Calculating scale transformed to 100.
COMPUTE onk_mb_100 = ((onk_ms_sum-4)/12)*100.
EXECUTE.


VARIABLE LABELS
onk_ph_mean 'KINDL Oncology Module Scale Body Mean'
onk_ph_sum 'KINDL Oncology Module Scale Body Sum'
onk_ph_100 'KINDL Oncology Module Scale Body 100'
onk_pb_mean 'KINDL Oncology Module Scale Body Bothering Mean'
onk_pb_sum 'KINDL Oncology Module Scale Body Bothering Sum'
onk_pb_100 'KINDL Oncology Module Scale Body Bothering 100'
onk_mh_mean 'KINDL Oncology Module Scale Mental Health Mean'
onk_mh_sum 'KINDL Oncology Module Scale Mental Health Sum'
onk_mh_100 'KINDL Oncology Module Scale Mental Health 100'
onk_so_mean 'KINDL Oncology Module Scale Social Mean'
onk_so_sum 'KINDL Oncology Module Scale Social Sum'
onk_so_100 'KINDL Oncology Module Scale Social 100'
onk_mt_mean 'KINDL Oncology Module Scale Medical Treatment Mean'
onk_mt_sum 'KINDL Oncology Module Scale Medical Treatment Sum'
onk_mt_100 'KINDL Oncology Module Scale Medical Treatment 100'
onk_mb_mean 'KINDL Oncology Module Scale Medical Treatment Bothering Mean'
onk_mb_sum 'KINDL Oncology Module Scale Medical Treatmen tBothering Sum'
onk_mb_100 'KINDL Oncology Module Scale Medical Treatment Bothering 100'.
EXECUTE.
